defmodule Textos.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      # Start the Telemetry supervisor
      TextosWeb.Telemetry,
      # Start the Ecto repository
      Textos.Repo,
      # Start the PubSub system
      {Phoenix.PubSub, name: Textos.PubSub},
      # Start Finch
      {Finch, name: Textos.Finch},
      # Start the Endpoint (http/https)
      TextosWeb.Endpoint
      # Start a worker by calling: Textos.Worker.start_link(arg)
      # {Textos.Worker, arg}
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: Textos.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    TextosWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
