defmodule Textos.Content.Subtitle do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :binary_id, autogenerate: true}
  @foreign_key_type :binary_id
  schema "subtitles" do
    field :complete, :boolean, default: false
    field :format, :string
    field :language, :string
    field :note, :string
    field :final_draft, :boolean, default: false
    field :subtitle_text, :string
    field :subtitler, :string
    field :editors, {:array, :string}

    belongs_to :media, Textos.Content.Media

    timestamps()
  end

  @doc false
  def changeset(subtitle, attrs) do
    subtitle
    |> cast(attrs, [:language, :note, :complete, :final_draft, :format, :subtitle_text, :subtitler, :editors])
    |> validate_required([:language, :note, :complete, :final_draft, :format, :subtitle_text, :subtitler, :editors])
  end
end
