defmodule Textos.Content.Transcription do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :binary_id, autogenerate: true}
  @foreign_key_type :binary_id
  schema "transcriptions" do
    field :complete, :boolean, default: false
    field :note, :string
    field :final_draft, :boolean, default: false
    field :transcription_text, :string
    field :transcriber, :string
    field :editors, {:array, :string}

    belongs_to :media, Textos.Content.Media

    timestamps()
  end

  @doc false
  def changeset(transcription, attrs) do
    transcription
    |> cast(attrs, [:note, :complete, :final_draft, :transcription_text, :transcriber, :editors])
    |> validate_required([:note, :complete, :final_draft, :transcription_text, :transcriber, :editors])
  end
end
