defmodule Textos.Content.Translation do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :binary_id, autogenerate: true}
  @foreign_key_type :binary_id
  schema "translations" do
    field :complete, :boolean, default: false
    field :translator, :string
    field :language, :string
    field :note, :string
    field :final_draft, :boolean, default: false
    field :translation_text, :string
    field :editors, {:array, :string}

    belongs_to :media, Textos.Content.Media

    timestamps()
  end

  @doc false
  def changeset(translation, attrs) do
    translation
    |> cast(attrs, [:note, :complete, :final_draft, :translation_text, :translator, :editors, :language])
    |> validate_required([:note, :complete, :final_draft, :translation_text, :translator, :editors, :language])
  end
end
