defmodule Textos.Repo.Migrations.CreateMedia do
  use Ecto.Migration

  def change do
    create table(:media, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :title, :string, null: false
      add :note, :string
      add :media_type, :string, null: false
      add :collected_by, :string
      add :old_filename, :string
      add :translated_esp, :boolean, default: false, null: false
      add :speakers, {:array, :string}
      add :translated_eng, :boolean, default: false, null: false
      add :recorded_at, :utc_datetime
      add :description, :string
      add :location, :string
      add :record_dated, :boolean, default: false, null: false

      timestamps()
    end
  end
end
