defmodule Textos.Repo.Migrations.CreateSubtitles do
  use Ecto.Migration

  def change do
    create table(:subtitles, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :language, :string
      add :note, :string
      add :complete, :boolean, default: false, null: false
      add :final_draft, :boolean, default: false, null: false
      add :format, :text
      add :subtitle_text, :string
      add :subtitler, :string
      add :editors, {:array, :string}
      add :media_id, references(:media, on_delete: :nothing, type: :binary_id)

      timestamps()
    end

    create index(:subtitles, [:media_id])
  end
end
