defmodule Textos.Repo.Migrations.CreateTranscriptions do
  use Ecto.Migration

  def change do
    create table(:transcriptions, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :note, :string
      add :complete, :boolean, default: false, null: false
      add :final_draft, :boolean, default: false, null: false
      add :transcription_text, :string
      add :transcriber, :string
      add :editors, {:array, :string}
      add :media_id, references(:media, on_delete: :nothing, type: :binary_id)

      timestamps()
    end

    create index(:transcriptions, [:media_id])
  end
end
