defmodule Textos.Repo.Migrations.CreateTranslations do
  use Ecto.Migration

  def change do
    create table(:translations, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :note, :string
      add :complete, :boolean, default: false, null: false
      add :final_draft, :boolean, default: false, null: false
      add :translation_text, :string
      add :translator, :string
      add :editors, {:array, :string}
      add :language, :string
      add :media_id, references(:media, on_delete: :nothing, type: :binary_id)

      timestamps()
    end

    create index(:translations, [:media_id])
  end
end
